The big Silverlight 4 Question

You get all this honking and hoopla and what not, but nobody seems to think about the big Silverlight 4 Question:

Can I install Visual Studio 2010 Beta 2, Silverlight 4 Tools, WCF RIA Services, The November 2009 SIlverlight Toolkit, and Blend 4 Trial on the same machine that I have Visual Studio 2008, Siverlight 3, SIlverlight 3 Toolkit, Blend 3 and so on – and will they co-exist peacefully on the same machine?

Answer: Yes! All you may need to do is uninstall your previous RIA Services Preview.

Everything else will “just work”. I just did it and tested it all out.

Bart Czernicki mentions an issue that you can review here.

Disclaimer: No animals were harmed in the creation of the UnBlog post. Your mileage may vary.

Oh, and one final note: If you are going to install WCF RIA Services with Visual Studio 2010, you will no longer be able to use RIA services with Visual Studio 2008. They don't install "side -by-side".

Comments

  1. Thanks for doing the test for me!

    ReplyDelete
  2. Do you mean uninstalling the RIA Silverlight3.0 before installing the VS2010 beta to support the RIA Silverlight4.0?

    ReplyDelete
  3. @Sandeep: Yes. If you do not uninstall the previous RIA, you will be cordially prompted to do so.

    ReplyDelete
  4. Can you tell me if VS2010 can multitarget Silverlight 3 AND Silverlight 4?

    ReplyDelete
  5. yes, your Silverlight projects will offer a choice of 3 or 4.

    ReplyDelete
  6. Yep I confirm that it works fine. Been doing that since we got early bits (on a VM though), and with the beta I jumped in the cold water and installed all on my main machines.

    ReplyDelete

Post a Comment

Popular posts from this blog

ASP.NET: Loss of Session / Cookies with Frames

FIREFOX / IE Word-Wrap, Word-Break, TABLES FIX